Page tree
Skip to end of metadata
Go to start of metadata

COmanage code has several package dependencies. This chart provides details of the dependencies for the code. Also included is a link to the page describing how to manage external dependencies.

On this page



Packages must be licensed using a license on Apache's "Category A" list.

1. Dependencies

Package

License

Included?

COmanage Version

Package Version

CakePHP
(warning) See also Upgrading CakePHP

MIT (tick)

Yes

Registry 4.0.0+

2.10.24



YesMatch 1.0.0+4.3.1



Yes

Directory 0.1+

2.0.5




Registry 3.3.0 - 3.3.42.10.22



Registry 3.2.4 - 3.2.52.10.20



Registry 3.2.0 - 3.2.32.10.13



Registry 3.1.12.10.10



Registry 3.1.02.10.6



Registry 2.0.2-3.0.02.10.3



Registry 2.0.0-2.0.12.9.5



Registry 1.0.0-1.0.52.7.6 (2.7.3 in release candidates)



Registry 0.9.42.7.1



Registry 0.9.2-0.9.32.6.1




Registry 0.9.1

2.5.4




Registry 0.9

2.5.2




Registry 0.8.4-0.8.5

2.4.5




Registry 0.8.1-0.8.2

2.4.1




Registry 0.8-0.8.1

2.3.5




Registry 0.4-0.7

2.0.5




Registry 0.1b-0.3

1.3.7




Registry 0.1-0.1a

1.3.4

ADOdbBSD 3-Clause (tick) (and LGPL 2.1 (error))YesRegistry 4.1.0+5.22.4 (patched to handle different Postgres issues)



Registry 3.1.0-4.0.25.20.9 (patched to handle incorrect Postgres syntax)



Registry 2.0.0-3.0.05.20.4



Registry 0.1-1.0.55.12
BootstrapMIT (tick)YesMatch 1.0.0+5.1.3



Registry 4.0.0+4.5.3
Doctrine DBAL (Database Abstraction Layer)MIT (tick)Yes

Match 1.0.0+

Registry 5.0.0+

2.9.2
jQueryMIT (tick)YesMatch 1.0.0+3.6.0



Registry 4.0.0+3.5.1



Registry 3.0.0+3.2.1



Registry 1.0.0+1.11.3
jQuery UIMIT (tick)YesRegistry 3.0.0+1.12.1, Custom Theme (see URL in jquery-ui.min.css to regenerate)



Registry 1.0.0+1.11.4, Custom Theme (see URL in jquery-ui.min.css to regenerate)




Registry 0.8-0.9.4

1.10.0 (includes jquery 1.9.0), Custom Theme (see URL in jquery-ui-*.custom.css to regenerate) 



Yes

Directory 0.1+

1.8.16 (includes jquery 1.6.2), Custom Theme




Registry 0.3-0.7

1.8.16 (includes jquery 1.6.2), "Start" Theme




Registry 0.1-0.2

1.8.2 (includes jquery 1.4.2), "Start" Theme

jstimezoneselect

MIT (tick)YesRegistry 5.0.0+1.0.6



Registry 1.0.0+1.0.4
Magnific PopupMIT (tick)YesRegistry 1.0.0+1.0.0
Material Design Light (MDL)Apache 2.0 (tick)YesRegistry 4.0.0+MDL deprecated as of Registry version 4.x



Registry 3.0.0+1.3.0
Material IconsApache 2.0 (tick)YesRegistry 3.0.0+
metismenuMIT (tick)YesRegistry 3.0.0+2.5.2
notyMIT (tick)Yes

Match 1.0.0+

Registry 1.0.0+

2.3.7, Custom Theme



Registry ~0.8-0.9.42.0.3, Custom Theme
Open SansApache 2.0 (tick)YesRegistry 4.1.0
PHPPHP 3.01 (tick) but n/aNosee here

php-github-api

MIT (tick)

Yes

Registry 4.1.0+

3.9 (via composer), also requires guzzle (v7.5), guzzle7-adapter (v1.0.0) and PHP Cache Filesystem Adapter (v1.2:w

) (used in githubProvisioner)




Registry 3.2.4+2.12 (via composer), also requires guzzle (v6.0), guzzle6-adapter (v1.1) and PHP Cache Filesystem Adapter (v1.0) (used in githubProvisioner)



Registry 0.9.1-3.2.3

1.3 (via composer), also requires guzzle (v3.9.2) and symfony/event-dispatcher (v2.5.3) (used in githubProvisioner)

php-rdkafkaMIT (tick)NoRegistry 4.0.0+4.1.1 or later (used by KafkaServer and ApiSource)
Shibboleth EDSApache 2.0 (tick)YesRegistry 3.1.0+1.2.0


YesRegistry 1.0.0-3.0.01.1.0
spin.jsMIT (tick)YesRegistry 4.0.0+spin.js deprecated from version 4.0 onward



Registry 0.9+2.0.0

Superfish

MIT (tick)

No

Registry 3.0.0+

Superfish deprecated from version 3.0 onward



YesRegistry 0.8+1.5.1




Registry 0.5-0.7

1.4.8

vuejsMIT (tick)YesRegistry 4.1.0+3.2.31

Included: Packaged as part of COmanage release.

2. See Also

See also: Managing External Packages


  • No labels